%global debug_package %{nil}

%ifarch x86_64
%global altarch amd64
%endif
%ifarch %{ix86}
%global altarch 386
%endif
%ifarch %{arm}
%global altarch arm
%endif

Name:		syncthing
Version:	0.14.30
Release:	%mkrel 1
Summary:	Syncthing - Decentralized file sharing system
License:	MIT
URL:		http://syncthing.net/
Group:		Networking/File transfer
Source0:	https://github.com/syncthing/syncthing/archive/v%{version}/syncthing-%{version}.tar.gz
Source1:	syncthing@.service
Source2:	syncthing.init
Source3:	syncthing.sysconfig
Source4:	syncthing-tmpfiles.conf
Source5:	syncthing.sh

BuildRequires:	golang
BuildRequires:  systemd
Requires(pre):    rpm-helper >= %{rpmhelper_required_version}
Requires(post):   rpm-helper >= %{rpmhelper_required_version}
Requires(post):   systemd >= %{systemd_required_version}
Requires(preun):  rpm-helper >= %{rpmhelper_required_version}
Requires(postun): rpm-helper >= %{rpmhelper_required_version}
Requires:	coreutils
Suggests:	cpulimit

%description
Syncthing replaces Dropbox and BitTorrent Sync with something open, trustworthy
and decentralized. Your data is your data alone and you deserve to choose where
it is stored, if it is shared with some third party and how it's transmitted
over the Internet.

Using syncthing, that control is returned to you.

%prep
%setup -c -T
mkdir -p src/github.com/syncthing
pushd src/github.com/syncthing
tar xvf  %{SOURCE0}
mv syncthing-%{version} syncthing
popd

%build
pushd src/github.com/syncthing/syncthing
# Version needs 'v' prefix: https://github.com/syncthing/syncthing/pull/4036
go run build.go -version v%{version} -no-upgrade -goarch %{altarch}
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/etc/sysconfig
mkdir -p %{buildroot}/var/run/syncthing
%{__install} -p -m 0755 src/github.com/syncthing/syncthing/bin/* %{buildroot}%{_bindir}
%{__install} %{SOURCE3} %{buildroot}/etc/sysconfig/%{name}
%{__install} -p -m 0755 %{SOURCE5} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}
%{__install} -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}
%{__install} -D -p -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%clean

%pre
%_pre_useradd %{name} /dev/null /bin/false

%post
if ! /usr/bin/id syncthing &>/dev/null; then
       /usr/sbin/useradd -r -g daemon -s /bin/false -c "The Syncthing" -d /var/run/syncthing syncthing 
fi
%_tmpfilescreate %{name}
#_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc  src/github.com/syncthing/syncthing/README.md src/github.com/syncthing/syncthing/LICENSE src/github.com/syncthing/syncthing/CONTRIBUTING.md
%{_bindir}/*
%config (noreplace) /etc/sysconfig/%{name}
%{_unitdir}/%{name}@.service
%{_tmpfilesdir}/%{name}.conf


%changelog
* Sun Jun 25 2017 akien <akien> 0.14.30-1.mga6
+ Revision: 1108458
- Version 0.14.30

* Sun May 28 2017 akien <akien> 0.14.28-1.mga6
+ Revision: 1105388
- Version 0.14.28

* Tue Apr 04 2017 dlucio <dlucio> 0.14.25-1.mga6
+ Revision: 1095866
- 0.14.25

* Sat Mar 11 2017 akien <akien> 0.14.23-3.mga6
+ Revision: 1091806
- Fix version by adding 'v' prefix as upstream recommends

* Fri Mar 10 2017 akien <akien> 0.14.23-2.mga6
+ Revision: 1091593
- Fix version regex again with patch sent upstream

* Mon Mar 06 2017 akien <akien> 0.14.23-1.mga6
+ Revision: 1089105
- Version 0.14.23

* Wed Feb 01 2017 dlucio <dlucio> 0.14.21-1.mga6
+ Revision: 1084485
- 0.14.21
- no error in %%post

* Mon Nov 14 2016 dlucio <dlucio> 0.14.10-2.mga6
+ Revision: 1067164
- cpulimit as suggest
- s5 to control cpu utilization

* Wed Nov 02 2016 dlucio <dlucio> 0.14.10-1.mga6
+ Revision: 1064760
- 0.14.10

* Tue Oct 04 2016 dlucio <dlucio> 0.14.8-1.mga6
+ Revision: 1058726
- 0.14.8
- URL fix

* Sat Sep 03 2016 dlucio <dlucio> 0.14.5-1.mga6
+ Revision: 1049948
- 0.14.5

* Sat Jul 30 2016 tmb <tmb> 0.14.2-2.mga6
+ Revision: 1043913
- submit to release

* Thu Jul 28 2016 dlucio <dlucio> 0.14.2-1.mga6
+ Revision: 1043810
- 0.14.2

* Sun Jul 24 2016 tmb <tmb> 0.14.0-2.mga6
+ Revision: 1043537
- submit to release

* Fri Jul 22 2016 dlucio <dlucio> 0.14.0-1.mga6
+ Revision: 1043130
- 0.14.0
- P1 rediffed

* Tue Jul 19 2016 pterjan <pterjan> 0.13.10-2.mga6
+ Revision: 1042643
- Fix arm arch

* Tue Jul 19 2016 dlucio <dlucio> 0.13.10-1.mga6
+ Revision: 1042528
- 0.13.10

* Tue Jun 14 2016 dlucio <dlucio> 0.13.7-1.mga6
+ Revision: 1021425
- 0.13.7
- 0.13.5
- 0.13.4

* Sat May 21 2016 dlucio <dlucio> 0.13.2-1.mga6
+ Revision: 1017393
- 0.13.2
- P0 rediffed

* Fri May 13 2016 dlucio <dlucio> 0.12.24-1.mga6
+ Revision: 1015038
- 0.12.24

* Sun Apr 17 2016 dlucio <dlucio> 0.12.22-1.mga6
+ Revision: 1003128
- 0.12.22

* Sun Jan 10 2016 dlucio <dlucio> 0.12.11-3.mga6
+ Revision: 920908
- First import from my personal CentOS repo
- imported package syncthing

